Bug 1302249 - Review Request: perl-MemHandle - Supply memory-based FILEHANDLE methods
Review Request: perl-MemHandle - Supply memory-based FILEHANDLE methods
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1302288
  Show dependency treegraph
 
Reported: 2016-01-27 05:08 EST by Petr Šabata
Modified: 2016-02-16 10:29 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-MemHandle-0.07-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 10:29:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2016-01-27 05:08:11 EST
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-MemHandle/perl-MemHandle.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-MemHandle/perl-MemHandle-0.07-1.fc23.src.rpm
Description:
Generates inherits from IO::Handle and IO::Seekable. It provides an
interface to the file routines which uses memory instead.
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2016-01-27 06:48:25 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-MemHandle-0.07-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(:VERSION) >= 5.0.0
      1 perl(Exporter)
      1 perl(IO::Handle)
      1 perl(IO::Seekable)
      1 perl(MemHandle::Tie)
      1 perl(Symbol)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-MemHandle-0.07-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(MemHandle) = 0.07
      1 perl(MemHandle::Tie) = 0.06
      1 perl-MemHandle = 0.07-1.fc24
Binary provides are Ok.

$ rpmlint /perl-MemHandle*
perl-MemHandle.noarch: W: spelling-error %description -l en_US Seekable -> Seek able, Seek-able, Sinkable
perl-MemHandle.src: W: spelling-error %description -l en_US Seekable -> Seek able, Seek-able, Sinkable
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Rpmlint is ok

The package looks good.
Approved.
Comment 2 Gwyn Ciesla 2016-01-27 08:26:42 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-MemHandle
Comment 3 Fedora Update System 2016-01-27 09:13:22 EST
perl-MemHandle-0.07-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb2d420f0e
Comment 4 Fedora Update System 2016-01-27 09:13:23 EST
perl-MemHandle-0.07-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f52b2286e
Comment 5 Fedora Update System 2016-01-27 09:13:23 EST
perl-MemHandle-0.07-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb2d420f0e
Comment 6 Fedora Update System 2016-01-27 09:13:24 EST
perl-MemHandle-0.07-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f52b2286e
Comment 7 Fedora Update System 2016-01-27 09:13:25 EST
perl-MemHandle-0.07-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb2d420f0e
Comment 8 Fedora Update System 2016-01-27 09:13:26 EST
perl-MemHandle-0.07-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f52b2286e
Comment 9 Fedora Update System 2016-01-27 09:13:28 EST
perl-MemHandle-0.07-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb2d420f0e
Comment 10 Fedora Update System 2016-01-28 17:26:28 EST
perl-MemHandle-0.07-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb2d420f0e
Comment 11 Fedora Update System 2016-01-29 01:54:33 EST
perl-MemHandle-0.07-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f52b2286e
Comment 12 Fedora Update System 2016-02-09 15:54:33 EST
perl-MemHandle-0.07-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-10 05:51:22 EST
perl-MemHandle-0.07-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.